sub pv1000soundfreq(tch as ubyte, tfreq as float): '- does float works here?
  out $F8+(tch band 3),63-(8739.123/tfreq)
  end sub

'http://forums.bannister.org/ubbthreads.php?ubb=showflat&Number=97597&page=3
'When x=63 -> silence
'When x[0;62]-> freqHz(x) = 8739.123/(63-x)

'- freq=8739.123/(63-x)
'- x=63-(8739.123/tfreq)
